SLAPD-DSASCHEMA(5)

NAME
slapd-dsaschema - Define DSA-specific schema

SYNOPSIS
ETCDIR/slapd.conf

DESCRIPTION
OpenLDAP restricts admin-provided schemas to regular attributes, operational attributes cannot be added by normal means. This module allows one to bypass this restriction.

CONFIGURATION
To use the plugin, add the following to your slapd configuration file (similar with olcModuleLoad):
    moduleload dsaschema.so [<path-to-schema-file> ...]
With cn=config you can also use the olcDSASchemaConfig objectclass in entries under cn=schema,cn=config to lift the restriction on defining operational attributes.

EXAMPLES

    moduleload dsaschema.so
    	/etc/openldap/schema/foo1.schema
    	...etc...
    	/etc/openldap/schema/fooN.schema

FILES

ETCDIR/slapd.conf
    default slapd configuration file

ETCDIR/slapd.d
    default slapd configuration directory

SEE ALSO
slapd-config(5), slapd.conf(5).

ACKNOWLEDGEMENTS
This module was written in 2008 by Emmanuel Dreyfus.